|
Menu location |
---|
Part → Primitives → Cube |
Workbenches |
Part, Complete |
Default shortcut |
None |
Introduced in version |
- |
See also |
Part CreatePrimitives |
Description
Descriere
Comanda Box din Atelierul Part Workbench inserează o casetă parametrică, rectangular cuboid, o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube". Acești parametri pot fi modificați după adăugarea obiectului.
Usage
- There are several ways to invoke the command:
- Press the
Cube button.
- Select the Part → Primitives →
Cube option from the menu.
- Press the
- The box is created.
- Optionally change the dimensions and DatePlacement of the box by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the DatePlacement with the
Std TransformManip command.
- Double-click the object in the Tree view:
Example

A Part Box object created with the scripting example below is shown here.
Notes
- A Part Box can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Box
Box
- DateLength:Parametrul lungime este dimensiunea Box în direcția x.
- DateWidth: Parametrul lățime este dimensiunea Box în direcția y.
- DateHeight: Parametrul înălțime este dimensiunea Box în direcția z.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
Scripting
Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
- Unde "myBox" este o denumire/etichetă pentru obiectul Box.
- Are ca rezulta obiectul nou creat de tip Box.
Example:
import FreeCAD as App
doc = App.activeDocument()
box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Box